summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-02-11 20:13:26 +0000
committer Eric Hameleers <alien@slackware.com>2021-02-12 08:59:54 +0100
commit8d820ab5b45854c19e5f938d63bfd0bfd9335872 (patch)
tree9fc0127276f8a28f5be14f97647cfa0253e68d37 /source
parent016a6db209473e405b1155435af2b916ed2ff3c5 (diff)
downloadcurrent-8d820ab5b45854c19e5f938d63bfd0bfd9335872.tar.gz
current-8d820ab5b45854c19e5f938d63bfd0bfd9335872.tar.xz
Thu Feb 11 20:13:26 UTC 202120210211201326
l/pango-1.48.2-x86_64-1.txz: Upgraded. x/xterm-366-x86_64-1.txz: Upgraded. xap/gftp-2.7.0b-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/xap/gftp/gftp.SlackBuild16
-rw-r--r--source/xap/gftp/gftp.desktop16
-rw-r--r--source/xap/gftp/gftp.glibc-2.30.diff13
-rw-r--r--source/xap/gftp/gftp.url1
4 files changed, 12 insertions, 34 deletions
diff --git a/source/xap/gftp/gftp.SlackBuild b/source/xap/gftp/gftp.SlackBuild
index fb7c560ad..6d84ec430 100755
--- a/source/xap/gftp/gftp.SlackBuild
+++ b/source/xap/gftp/gftp.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2018, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gftp
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-10}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -63,7 +63,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf gftp-$VERSION
-tar xvf $CWD/gftp-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/gftp-$VERSION.tar.?z || exit 1
cd gftp-$VERSION || exit 1
chown -R root:root .
find . \
@@ -72,7 +72,13 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-zcat $CWD/gftp.glibc-2.30.diff.gz | patch -p1 --verbose || exit 1
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
CFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/xap/gftp/gftp.desktop b/source/xap/gftp/gftp.desktop
deleted file mode 100644
index 0beaf5bce..000000000
--- a/source/xap/gftp/gftp.desktop
+++ /dev/null
@@ -1,16 +0,0 @@
-[Desktop Entry]
-Encoding=UTF-8
-Name=gFTP
-Comment=Download and upload files using multiple file transfer protocols
-Comment[fr]=Télécharge des fichiers en utilisant le protocole FTP
-GenericName=gFTP
-Exec=gftp %u
-Terminal=false
-X-MultipleArgs=false
-Type=Application
-Icon=gftp
-Categories=Network;
-X-GNOME-Bugzilla-Bugzilla=GNOME
-X-GNOME-Bugzilla-Product=gftp
-X-GNOME-Bugzilla-Component=general
-X-GNOME-Bugzilla-Version=2.0.19
diff --git a/source/xap/gftp/gftp.glibc-2.30.diff b/source/xap/gftp/gftp.glibc-2.30.diff
deleted file mode 100644
index efefcfe2b..000000000
--- a/source/xap/gftp/gftp.glibc-2.30.diff
+++ /dev/null
@@ -1,13 +0,0 @@
---- ./lib/pty.c.orig 2007-03-12 20:56:43.000000000 -0500
-+++ ./lib/pty.c 2019-08-19 17:30:51.858199288 -0500
-@@ -61,10 +61,6 @@
-
- #elif HAVE_GRANTPT
-
--#if !(defined(__FreeBSD__) || defined(__NetBSD__) || defined(__APPLE__))
--#include <stropts.h>
--#endif
--
- char *
- gftp_get_pty_impl (void)
- {
diff --git a/source/xap/gftp/gftp.url b/source/xap/gftp/gftp.url
new file mode 100644
index 000000000..5c8e4c2a5
--- /dev/null
+++ b/source/xap/gftp/gftp.url
@@ -0,0 +1 @@
+https://github.com/masneyb/gftp